package edu.mermet.tp8.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.ButtonGroup;
import javax.swing.JDialog;
import javax.swing.JInternalFrame;

import edu.mermet.tp8.Application;
import edu.mermet.tp8.ecouteur.EcouteurConversion;

public class ActionValider extends AbstractAction {
	private ButtonGroup conv, text, diapo, bouton;
	private Application a;
	private JDialog dialog;
	
	public ActionValider(ButtonGroup conv, ButtonGroup text, ButtonGroup diapo, ButtonGroup bouton, Application a, JDialog dialog) {
		this.conv = conv;
		this.text = text;
		this.diapo = diapo;
		this.bouton = bouton;
		this.a = a;
		this.dialog = dialog;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		//System.out.println(conv.getSelection().getActionCommand());
		if(conv.getSelection().getActionCommand().equals("Auto")) {
			a.getActionAfficherConversion().actionPerformed(e);
		}else if (conv.getSelection().getActionCommand().equals("Afficher")) {
			a.getFenetreConversions().addInternalFrameListener(new EcouteurConversion(a.getFenetreConversions(), a.getActionAfficherConversion()));
			a.setActionAfficherConversion(new ActionsConversionTjrAff(a.getFenetreConversions()));
			a.getActionAfficherConversion().setEnabled(true);
		}else {
			a.setActionAfficherConversion(null);
		}
		
		dialog.setVisible(false);
	}

}
